Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class SecurityProvider

`java.lang.Object
java.util.Dictionary
java.util.Hashtable
java.util.Properties
java.security.Provider
com.tangosol.net.security.SecurityProvider`

All Implemented Interfaces:
  Serializable, Cloneable, Map

      public class SecurityProvider

extends Provider

Security Provider implementation that returns custom security services.

Author:
  jh 2010.05.11

Nested Class Summary

Nested classes/interfaces inherited from class java.security.Provider
`Provider.Service`

Field Summary
`static String` | `NAME` The name of this provider.

Fields inherited from class java.util.Properties
`defaults`

Method Summary
`static void` | `ensureRegistration()` Ensure that an instance of this provider has been registered with the system.

Methods inherited from class java.security.Provider
`clear, entrySet, getInfo, getName, getService, getServices, getVersion, keySet, load, put, putAll, putService, remove, removeService, toString, values`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Field Detail

### NAME

    public static final String NAME

  The name of this provider.
  See Also:
    Constant Field Values

Method Detail

### ensureRegistration

    public static void ensureRegistration()

  Ensure that an instance of this provider has been registered with the system.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.